import os
import numpy as np
from zugversuch_modul import create_floats_only_list, create_moving_average, calculate_quantile_value

# Datensatz einlesen
path = os.path.join(os.path.dirname(os.path.abspath(__file__)), '3CMC1NC.csv')
data = np.loadtxt(path, delimiter="\t", skiprows=1, dtype=str)

# Einzelne Größen aus gesamten Datensatz extrahieren
time_s_str = data[:, 0].tolist()
displacement_mm_str = data[:, 1].tolist()
force_kN_str = data[:, 2].tolist()

time_s = create_floats_only_list(time_s_str)
time_s_mov_4 = create_moving_average(time_s,4)

quantile = calculate_quantile_value(time_s_mov_4, 0.50)
print(quantile)
